image:
 name: hashicorp/packer:light
 entrypoint:
 - '/usr/bin/env'
before_script:
 - apk add ansible
stages:
 - validate
 - build
 - plan
 - apply
validate:
 stage: validate
 script: packer validate packer.json
validate-terraform:
 image:
 name: hashicorp/terraform:light
 entrypoint:
 - '/usr/bin/env'
 - 'PATH=/usr/local/sbin:/usr/local/bin:/usr/sbin:/usr/bin:/sbin:/bin'
 stage: validate
 script: terraform validate
 before_script:
 - rm -rf .terraform
 - terraform --version
 - terraform init
 - export TF_VAR_image_name="terraform-by-nome-sobrenome"
build-packer:
 stage: build
 script: packer build packer.json
 artifacts:
 paths:
 - manifest.json
plan-terraform:
 image:
 name: hashicorp/terraform:light
 entrypoint:
 - '/usr/bin/env'
 - 'PATH=/usr/local/sbin:/usr/local/bin:/usr/sbin:/usr/bin:/sbin:/bin'
 stage: plan
 script:
 - terraform plan -out "planfile"
 artifacts:
 paths:
 - planfile
 before_script:
 - rm -rf .terraform
 - terraform --version
 - terraform init
apply-terraform:
 image:
 name: hashicorp/terraform:light
 entrypoint:
 - '/usr/bin/env'
 - 'PATH=/usr/local/sbin:/usr/local/bin:/usr/sbin:/usr/bin:/sbin:/bin'
 stage: apply
  script:
 - terraform apply -input=false "planfile"
 before_script:
 - rm -rf .terraform
 - terraform --version
 - terraform init